function f=ssdiff(x,param)

% @Copyright J. Ruiz 2007

Ap1=param(1);
Ap2=param(2);
sigma=param(3);
beta=param(4);
alpha=param(5);
b=param(6);
lz1ss=param(7);
lmu1ss=param(8);
lmu2ss=param(9);

lz21=x(1);
lz2=x(2);
lv21=x(3);
lv2=x(4);
lmu21=x(5);
lmu2=x(6);
lz1=x(7);
lmu1=x(8);

f(1)=-exp(-sigma*lz2)*((Ap2*exp(lmu2)/exp(lv2)+1-exp(lz2))*...
    (exp(lv21)/exp(lv2)))^sigma+beta*(exp(-sigma*lz21)*(1+(alpha/(1+alpha))*...
    Ap2*exp(lmu21)/exp(lv21)+((exp(lv21)-exp(lv2))/exp(lv2))));

f(2)=-((exp(lv21)/exp(lv2))^(1/b))+(Ap2*exp(lmu2)/exp(lv2)+1-exp(lz2))/...
    (Ap1*(alpha^(alpha/(1-alpha)))*(1+alpha)*exp(lmu1)+1-exp(lz1));

f(3)=lz21-lz2;

f(4)=lmu21-lmu2;

f(5)=lz1-lz1ss;

f(6)=lmu1-lmu1ss;

f(7)=lv21-lv2;

f(8)=lmu2-lmu2ss;

f=f';
