function f=ssendog(x,param)

% @Copyright J. Ruiz 2007 

A=param(1);
B=param(2);
beta=param(3);
sigma=param(4);
n=param(5);
deltak=param(6);
deltah=param(7);
alpha=param(8);
phi1=param(9);
phi2=param(10);
psi=param(11);

lz1=x(1);
lz=x(2);
lx1=x(3);
lx=x(4);
lu1=x(5);
lu=x(6);
ltheta1=x(7);
ltheta=x(8);
leta1=x(9);
leta=x(10);

f(1)=-exp(-sigma*lx)*exp(-sigma*lz)*(1+n)*...
    (B*(1-exp(lu))*exp(leta)+1-deltah)^(sigma*(1-alpha+psi)/(1-alpha))+...
    beta*(exp(-sigma*lx1)*exp(-sigma*lz1)*(A*alpha*exp((alpha-1)*lz1)*...
    exp((1-alpha)*lu1)*exp(ltheta1)+1-deltak));

f(2)=-exp(-sigma*lx)*exp((alpha-sigma)*lz)*exp(ltheta-leta)*exp(-alpha*lu)*...
    (B*(1-exp(lu))*exp(leta)+1-deltah)^((sigma*(1-alpha+psi)-psi)/(1-alpha))+...
    beta*(exp(-sigma*lx1)*exp((alpha-sigma)*lz1)*exp(ltheta1-leta1)*...
    exp(-alpha*lu1)*(B*exp(leta1)+1-deltah));

f(3)=-(1+n)*exp(lz1)*...
    (B*(1-exp(lu))*exp(leta)+1-deltah)^((1-alpha+psi)/(1-alpha))+...
    A*exp(alpha*lz)*exp((1-alpha)*lu)*exp(ltheta)+(1-deltak)*exp(lz)-exp(lx+lz);

f(4)=-ltheta1+phi1*ltheta;

f(5)=-leta1+phi2*leta;

f(6)=lz1-lz;

f(7)=lx1-lx;

f(8)=lu1-lu;

f(9)=ltheta1-ltheta;

f(10)=leta1-leta;

f=f';
