function [bhat,ehat,sigma,sigbhat,estadt,pvalor,R2]=mco(y,x)


n=size(y,1);
k=size(x,2);
xinv=inv(x'*x);
bhat=xinv*(x'*y);
ehat=y-x*bhat;
R2=1-((ehat'*ehat)/((y-mean(y))'*(y-mean(y))));
sigma=(ehat'*ehat)/(n-k);
sigbhat=sigma.*xinv;
estadt=bhat./(sqrt(diag(sigbhat)));
pvalor=1-tcdf(abs(estadt),n-k);