function f=sslucas(x1,param)

% @Copyright J. Ruiz 2007 

A=param(1);
B=param(2);
rho=param(3);
sigma=param(4);
n=param(5);
deltak=param(6);
deltah=param(7);
alpha=param(8);
beta=param(9);
p=param(10);
tauc=param(11);
taur=param(12);
tauw=param(13);

z=x1(1);
x=x1(2);
u=x1(3);
v=x1(4);
l=x1(5);
gamma=x1(6);

f(1)=(((1-tauw)*(1-alpha)*A*((v*z/u)^alpha))/((1-taur)*alpha*A*...
    ((v*z/u)^(alpha-1))+taur*deltak))-((1-beta)/beta)*((1-v)*z/(1-u-l));
f(2)=p*l*(1-tauw)*(1-alpha)*A*((v/u)^alpha)*(z^(alpha-1))-(1-p)*x*(1+tauc);
f(3)=-((1+gamma)^(1-p*(1-sigma)))+rho*((1-taur)*alpha*A*((v*z/u)^(alpha-1))+...
    1-(1-taur)*deltak);
f(4)=-((1+gamma)^(1-p*(1-sigma)))+rho*(B*(1-beta)*(((1-v)*z/(1-u-l))^beta)*...
    (1-l)+1-deltah);
f(5)=-((1-taur)*alpha+(1-tauw)*(1-alpha))*A*(v^alpha)*((z/u)^(alpha-1))+...
    (1+tauc)*x+(1+n)*(1+gamma)-(1-deltak)-taur*deltak*v;
f(6)=-(1+gamma)+B*(((1-v)*z)^beta)*((1-u-l)^(1-beta))+1-deltah;
f=f';

